EDD Wish Lists
==============

Allow users on your website to store products into public/private lists. 

Demo: http://edd-wish-lists.sumobithemes.com/

Documentation: http://docs.easydigitaldownloads.com/category/468-wish-lists

**For users**
- Quickly add a product to a wish list, and create new wish lists without leaving the product’s page.
- Create an unlimited number of wish lists. Guest users can store a list for 30 days (or until cookies are cleared). Registered users can store lists indefinitely
- Privacy controls. Users can either create a public or private list. Public lists can be shared and are viewable by anyone. Private lists are only viewable to the user.
- Share lists to various social networks via a unique short url. Facebook, Twitter, Google + and LinkedIn
- Price variations supported. Add 1 or more price variations to wish list at the same time (variable pricing with multi-check option enabled)
- Add all items from a specific list to the cart in 1 click. Only appears when users have more than 1 item in their list.

**For Shop Manager/admins**
- [edd_wish_lists_add] shortcode for adding a “add to wish list” link on any page/post/download. Accepts “id” and “text” parameters.
- Change the terminology through filter. Collection, Light Box, Watch List, Want List etc
- Show a plain text link or button
- Choose from 5 different web font icons or have no icon at all
- Disable guests from creating wish lists
- Modify the text for the “add to wish list” link
- Modify the text for the “add to cart” links when adding items to the cart
- Select the sharing services that should appear on individual lists
- View and manage all lists from the WordPress admin.
- Extremely flexible. Use any page on your website to display a user’s wish lists, display individual wish lists, edit wish lists, or create wish lists
- Uses pretty permalinks and also supports non pretty permalinks
- 

**For Developers**
- Fully customizable links/buttons. Create your own add to wish list buttons with simple function call and args
- Add your own icons
- Easily remove CSS or JS
- Edit the main wish lists page and view list pages through template files.
- Translation-ready (fully localized)

**Possible Future Enhancements**
- Reporting - See which downloads are the most popular by how many times they are stored on lists. 
- - Knowing this can allow you to further invest time on the more popular downloads
- - Predict future sales
- - Gives better indicator of which products are too high in price
- - Allow you drop the price on these products which could lead to more sales. One possible idea is to notify all users who have the download in their wish list that you have just reduced the price of (notification on wish list and/or email if user opts in)
- Reporting - total number of lists, private and public. Store on dashboard’s at a glance section
- Reporting - total number of lists, guests/registered users
- Reporting - Export list data
- Reporting - See which products were shared and to which social networks
- Allow searching of public lists by first name, last name
- Show total price of all items in wish list
- When a download’s price has been lowered, automatically notify users that have the download in their list. Either notify through email (opt in) or show visually on the list.
- Notify/remind the customer after X amount of time to rekindle interest with the items in their wish list.
- Notify customer on their wish list pages when they are about to expire. Prompt them to register to store their list indefinitely
- Allow customers to sort their lists by price/alphabetically etc
- Provide option for Shop Manager so they can limit the amount of lists a customer can make.
- Email customer when item is nearly sold out (for when a plugin is used to control stock)
- Option for users to set their list to “gift registry” mode. Doing so will let anyone viewing their list know that the items on this list are for Person X. When a purchase is made, the item is removed from the gift registry (or marked as purchased) and the product is email directly to Person X. When in this mode, the user sharing the list must provide their first name, last name (optional) and email address
- Allow customer to add notes against a product. This looks like it’s quite popular.
- Allow customer to move and/or copy items from one list to another